Holger's Java API

## com.antelmann.util.revision
Class StatusString

    java.lang.Object
      com.antelmann.util.revision.StatusString

All Implemented Interfaces:
  DBEntry, Status, Serializable, Comparable<StatusString>

    public class StatusString

extends Object
implements Status, DBEntry, Comparable<StatusString>

a status based on a simple String object

Since:
  25. März 2007, 22:16
Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`StatusString(String statusString)`

Method Summary
`int` `compareTo(StatusString ss)`
`boolean` `equals(Object obj)`
`Object` `getID()` returns a immutable, unique and persistent capable identifier for this resource.
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusString

    public StatusString(String statusString)

Method Detail

### getID

    public Object getID()

  Description copied from interface: `DBEntry`
  returns a immutable, unique and persistent capable identifier for this resource. The returned value is unique throughout all instances of this class within a given system or database, respectively. The return value is practically always a `Serializable` for entries that are persistent.

  Specified by:
    `getID` in interface `DBEntry`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(StatusString ss)

  Specified by:
    `compareTo` in interface `Comparable<StatusString>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads